\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::compare_xyz() (2D/3D Linear Kernel)
CGAL::compare_xyz()

##

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_xyz (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| Compares the Cartesian coordinates of points `p` and `q` lexicographically in \( xyz\) order: first \( x\)-coordinates are compared, if they are equal, \( y\)-coordinates are compared, and if both \( x\)- and \( y\)- coordinate are equal, \( z\)-coordinates are compared.